# oToken data functions

Get APR for a token

```typescript
const getAPR = await client.getAPR({
  token: "QAR",
});
```

Get balances

```typescript
const getBalances = await client.getBalances({
  token: "QAR",
});
```

Get exchange rate

```typescript
const getExchangeRate = await client.getExchangeRate({
  token: "QAR",
});
```

Get global position

```typescript
const getGlobalPosition = await client.getGlobalPosition({
  walletAddress: "psh5nUh3VF22Pr8LeoV1K2blRNOOnoVH0BbZ85yRick"
});
```

Get token info

```typescript
const getInfo = await client.getInfo({
  token: "QAR",
});
```

Get position for a address

```typescript
const getPosition = await client.getPosition({
  token: "QAR",
  recipient: "psh5nUh3VF22Pr8LeoV1K2blRNOOnoVH0BbZ85yRick",
});
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.liquidops.io/developers/liquidops-js/otoken-data-functions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
